2019-09-20 11:39 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001258Orfeo Toolbox (OTB)Generalpublic2017-04-27 15:33
Reportersebastic 
Assigned Togpasero 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Summary0001258: Patch to only use OTB_GIT_STATUS_MESSAGE in message function if set.
DescriptionThe Debian package build for OTB 5.6 failed with:

 CMake Error at CMakeLists.txt:400 (message):
   message called with incorrect number of arguments

Because it's not built from the otb git repository. Like OTB_DATA_GIT_STATUS_MESSAGE, OTB_GIT_STATUS_MESSAGE should only be used if it's set.
TagsNo tags attached.
Attached Files
  • patch file icon cmake-message.patch (607 bytes) 2016-07-28 22:19 -
    Description: Only use OTB_GIT_STATUS_MESSAGE in message function if set.
     Build failed with:
      CMake Error at CMakeLists.txt:400 (message):
        message called with incorrect number of arguments
    Author: Bas Couwenberg <sebastic@debian.org>
    
    --- a/CMakeLists.txt
    +++ b/CMakeLists.txt
    @@ -397,7 +397,9 @@ endmacro()
     
     message("\n======================= Begin of OTB cmake summary =======================\n")
     
    -message( ${OTB_GIT_STATUS_MESSAGE})
    +if(OTB_GIT_STATUS_MESSAGE)
    +  message( ${OTB_GIT_STATUS_MESSAGE})
    +endif()
     if(OTB_DATA_GIT_STATUS_MESSAGE)
       message( ${OTB_DATA_GIT_STATUS_MESSAGE})
     endif()
    
    patch file icon cmake-message.patch (607 bytes) 2016-07-28 22:19 +

-Relationships
+Relationships

-Notes

~0003617

grizonnetm (administrator)

remember an issue we've got 5 years ago with mercurial:

http://hg.orfeo-toolbox.org/OTB/rev/b55f3b8834f2

~0003618

gpasero (administrator)

Thanks ! Patch pushed on branch release-5.6.
https://git.orfeo-toolbox.org/otb.git/commit/6ef74581a58861b6774ef05c7c893ddf19b1f464
+Notes

-Issue History
Date Modified Username Field Change
2016-07-28 22:19 sebastic New Issue
2016-07-28 22:19 sebastic File Added: cmake-message.patch
2016-07-29 15:00 grizonnetm Note Added: 0003617
2016-07-29 15:44 gpasero Note Added: 0003618
2016-07-29 15:44 gpasero Status new => resolved
2016-07-29 15:44 gpasero Resolution open => fixed
2016-07-29 15:44 gpasero Assigned To => gpasero
2017-04-27 15:33 julien Status resolved => closed
+Issue History